Name:		fldigi
Version:	3.21.76
Release:	%mkrel 2
Summary:	A software modem for Amateur Radio use
License:	GPLv3+
Group:		Communications/Radio
URL:		http://www.w1hkj.com
Source0:	http://www.w1hkj.com/downloads/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(hamlib) >= 1.2.4
BuildRequires:	pkgconfig(libpng) >= 1.2.8
BuildRequires:	pkgconfig(libpulse-simple) >= 0.9.7
BuildRequires:	pkgconfig(portaudio-2.0) >= 19
BuildRequires:	pkgconfig(samplerate) >= 0.1.1
BuildRequires:	pkgconfig(sndfile) >= 1.0.10
BuildRequires:	pkgconfig(x11)
BuildRequires:	fltk-devel
BuildRequires:	asciidoc
BuildRequires:	desktop-file-utils

%description
Fldigi is a software modem for Amateur Radio use. It is a sound card based
program that is used for both transmitting and receiving data in any of the
following modes:

BPSK and QPSK        31, 63, 125, 250 (both), and 63F and 500 (BPSK only)
PSKR                 125, 250, and 500
CW                   speeds from 5 to 200 wpm
DominoEX             4, 5, 8, 11, 16 and 22; also with FEC
Hellschreiber        Feld Hell, Slow Hell, Hell x5/x9, FSKHell(-105)
                     and Hell 80
MFSK                 4, 8, 11, 16, 22, 31, 32 and 64; most with image support
MT63                 500, 1000 and 2000
OLIVIA               various tones and bandwidths
RTTY                 various baud rates, shifts, nbr. of data bits, etc.
THOR                 4, 5, 8, 11, 16 and 22
Throb and ThrobX     1, 2, and 4
WWV                  receive only - calibrate your sound card to WWV
Frequency Analysis   receive only - measure the frequency of a carrier

Fldigi can also control a transceiver using Hamlib or RigCAT I/O, perform
online or cdrom QRZ queries, log QSOs with the built-in logbook or Xlog,
and send reception reports to the PSK Automatic Propagation Reporter.

%prep
%setup -q

%build
%configure2_5x --disable-rpath
%make ASCIIDOC_ICONS_DIR=%{_sysconfdir}/asciidoc/images/icons V=1

%install
%makeinstall_std

desktop-file-install \
--dir=%{buildroot}%{_datadir}/applications \
--remove-category='Network' \
--add-category='AudioVideo' \
--add-category='Audio' \
--add-category='X-Mageia-CrossDesktop' \
%{buildroot}%{_datadir}/applications/fldigi.desktop

desktop-file-install \
--dir=%{buildroot}%{_datadir}/applications \
--remove-category='Network' \
--add-category='AudioVideo' \
--add-category='Audio' \
--add-category='X-Mageia-CrossDesktop' \
%{buildroot}%{_datadir}/applications/flarq.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc README NEWS AUTHORS doc/guide*
%{_bindir}/flarq
%{_bindir}/%{name}
%{_bindir}/%{name}-shell
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/*.xpm
%{_mandir}/man1/flarq.1*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-shell.1*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 3.21.76-2.mga4
+ Revision: 541356
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 fwang <fwang> 3.21.76-1.mga4
+ Revision: 495668
- new version 3.21.76

* Sun Aug 18 2013 wally <wally> 3.21.74-1.mga4
+ Revision: 467425
- new version 3.21.74

* Fri Jun 28 2013 dams <dams> 3.21.72-1.mga4
+ Revision: 448085
- new version 3.21.72
- clean specfile

* Mon Jun 03 2013 fwang <fwang> 3.21.68-2.mga4
+ Revision: 435853
- rebuild for new libpng

* Wed Mar 20 2013 barjac <barjac> 3.21.68-1.mga3
+ Revision: 404124
- corrected .desktop files category
- new minor version 3.21.68

* Fri Jan 11 2013 umeabot <umeabot> 3.21.61-2.mga3
+ Revision: 350513
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 fwang <fwang> 3.21.61-1.mga3
+ Revision: 318076
- new version 3.21.61

* Mon Oct 22 2012 dams <dams> 3.21.58-1.mga3
+ Revision: 309256
- new version 3.21.58

* Wed Oct 03 2012 malo <malo> 3.21.50-2.mga3
+ Revision: 302263
- update RPM group

* Thu Aug 16 2012 fedya <fedya> 3.21.50-1.mga3
+ Revision: 281659
- version update 3.21.50

* Wed Mar 14 2012 ennael <ennael> 3.21.40-1.mga2
+ Revision: 223418
- 3.21.40
- imported package fldigi


* Fri Jun 17 2011 Jani Välimaa <wally@mandriva.org> 3.21.11-1mdv2011.0
+ Revision: 685839
- update to new version 3.21.11

* Sat Apr 30 2011 Jani Välimaa <wally@mandriva.org> 3.21.9-1
+ Revision: 661069
- new version 3.21.9

* Thu Apr 07 2011 Jani Välimaa <wally@mandriva.org> 3.21.8-1
+ Revision: 651736
- update to new version 3.21.8

* Sat Apr 02 2011 Jani Välimaa <wally@mandriva.org> 3.21.7-1
+ Revision: 649863
- new version 3.21.7

* Mon Mar 14 2011 Jani Välimaa <wally@mandriva.org> 3.21.5-1
+ Revision: 644650
- new version 3.21.5
- fix source tag

* Sat Dec 25 2010 Jani Välimaa <wally@mandriva.org> 3.20.33-1mdv2011.0
+ Revision: 624884
- new version 3.20.33
- fix license
- use find_lang macro
- increase build time verbosity
- package guide.txt and guide.html docs

* Sun Nov 07 2010 Thomas Spuhler <tspuhler@mandriva.org> 3.20.29-1mdv2011.0
+ Revision: 594388
- Increased version to 3.20.29 and release to 1
- removed3.20.28 source
- added source 3.20.29

* Sun Nov 07 2010 Thomas Spuhler <tspuhler@mandriva.org> 3.20.28-2mdv2011.0
+ Revision: 594377
- Cleaned up specfile and increased rel

* Sun Nov 07 2010 Thomas Spuhler <tspuhler@mandriva.org> 3.20.28-1mdv2011.0
+ Revision: 594366
- import fldigi

